# Welcome to Firqs FGO Site

This is build using [Astro](https://astro.build)


## 🚀 Project Structure

```
/
├── static/
│   ├── favicon.svg
│   └── other files ...
│
├── src/
│   ├── components/
│   │   ├── servantCard.astro
│   │   ├── ceCard.astro
│   │   ├── contactCard.astro
│   │   └── taCard.astro
│   │
│   ├── layouts/
│   │   ├── customFooter.astro
│   │   ├── baseSection.astro
│   │   ├── taSection.astro
│   │   ├── contactSection.astro
│   │   └── Layout.astro
│   │
│   └── pages/
│       └── index.astro
│
├── .gitlab-ci.yml
├── astro.config.mjs
└── package.json
```

Astro looks for `.astro` or `.md` files in the `src/pages/` directory. Each page is exposed as a route based on its file name.

More routes will follow soon

Any static assets, like images, can be placed in the `static/` directory.

## 🧞 Astro-Specific Commands

All commands are run from the root of the project, from a terminal:

| Command                | Action                                             |
| :--------------------- | :------------------------------------------------- |
| `npm install`          | Installs dependencies                              |
| `npm run dev`          | Starts local dev server at `localhost:3000`        |
| `npm run build`        | Build your production site to `./dist/`            |
| `npm run preview`      | Preview your build locally, before deploying       |
| `npm run astro ...`    | Run CLI commands like `astro add`, `astro preview` |
| `npm run astro --help` | Get help using the Astro CLI                       |

